function res = iscomplx(ein)
% iscomplx: Is the argument complex or real?
% ---------------------------------------
% TASK:
%  Determine whether argument is complex
% IN:
%  matrix argument
% OUT:
%  matrix with ones where argument is complex; zeros elsewhere

% FATAL ERRORS:
%  input empty
% TEST:
%
% AUTHOR: Lutz Hendricks, 1993
% ---------------------------------------

   if  isempty(ein)
      error('Input empty')
   end
   res = (imag(ein) ~= 0);


% *** end function ***
