function res = isInt(x)
% isInt: Determine whether elements in a matrix are integer
% ---------------------------------------
% TASK:
%   Determine whether elements in a matrix are integer
% IN:
%   matrix
% OUT:
%   matrix of equal dimensions; contains 1 for each integer element of x;
%   0 otherwise

% ERRORS:
%  matrix empty   => error
%  string input   => return all zeros

% TEST:
%
% AUTHOR: Lutz Hendricks, 1995
% ---------------------------------------

   if isempty(x);
      error('isInt: x is empty');
   end;

   if isstr(x)
      res = zeros( size(x) );
      return;
   end

    res = (rem(x,1) == 0);


% *** end function ***
